searchData={"items":[{"type":"module","title":"Tesla.Middleware.DecodeXml","doc":"Decodes response body as XML.\n\nOnly decodes the body if the `Content-Type` header suggests\nthat the body is XML.","ref":"Tesla.Middleware.DecodeXml.html"},{"type":"module","title":"Tesla.Middleware.EncodeXml","doc":"Encodes request body as XML.","ref":"Tesla.Middleware.EncodeXml.html"},{"type":"module","title":"Tesla.Middleware.XML","doc":"Encode requests and decode responses as XML.\n\nThis middleware can be configured to use different engines for the encoding\nand decoding of XML requests and responses.\n\nRemember to add `{:saxy, \"~> 1.5\"}` (or another supported engine) to the\ndependencies of your project.\n\nIf you only need to encode the request body or decode the response body,\nyou can use `Tesla.Middleware.EncodeXml` or `Tesla.Middleware.DecodeXml`\ndirectly instead.","ref":"Tesla.Middleware.XML.html"},{"type":"module","title":"Examples - Tesla.Middleware.XML","doc":"```elixir\ndefmodule MyClient do\n  use Tesla\n\n  plug Tesla.Middleware.XML # use default settings\n  # or\n  plug Tesla.Middleware.XML, engine: XmlJson, engine_opts: [convention: AwsApi]\nend\n```","ref":"Tesla.Middleware.XML.html#module-examples"},{"type":"module","title":"Options - Tesla.Middleware.XML","doc":"- `:decode` - decoding function\n- `:decode_content_types` - list of additional decodable content-types\n- `:encode` - encoding function\n- `:encode_content_type` - content-type to be used in request header\n- `:engine` - encode/decode engine, eg. `Saxy`, `XmlJson` (defaults to `Parker`)\n- `:engine_opts` - optional engine opts","ref":"Tesla.Middleware.XML.html#module-options"},{"type":"function","title":"Tesla.Middleware.XML.decode/2","doc":"Decode response body as XML.\n\nIt is also used by `Tesla.Middleware.DecodeJson`.","ref":"Tesla.Middleware.XML.html#decode/2"},{"type":"function","title":"Tesla.Middleware.XML.encode/2","doc":"Encode request body as XML.\n\nIt is also used by `Tesla.Middleware.EncodeXML`.","ref":"Tesla.Middleware.XML.html#encode/2"},{"type":"module","title":"Tesla.Middleware.XML.Adapters.Saxy","doc":"","ref":"Tesla.Middleware.XML.Adapters.Saxy.html"},{"type":"function","title":"Tesla.Middleware.XML.Adapters.Saxy.decode/2","doc":"","ref":"Tesla.Middleware.XML.Adapters.Saxy.html#decode/2"},{"type":"function","title":"Tesla.Middleware.XML.Adapters.Saxy.encode/2","doc":"","ref":"Tesla.Middleware.XML.Adapters.Saxy.html#encode/2"},{"type":"module","title":"Tesla.Middleware.XML.Adapters.XmlJson","doc":"","ref":"Tesla.Middleware.XML.Adapters.XmlJson.html"},{"type":"function","title":"Tesla.Middleware.XML.Adapters.XmlJson.decode/2","doc":"","ref":"Tesla.Middleware.XML.Adapters.XmlJson.html#decode/2"},{"type":"function","title":"Tesla.Middleware.XML.Adapters.XmlJson.encode/2","doc":"","ref":"Tesla.Middleware.XML.Adapters.XmlJson.html#encode/2"},{"type":"extras","title":"Tesla XML Middleware","doc":"# Tesla XML Middleware\n\n[![Build Status](https://github.com/efcasado/tesla_middleware_xml/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/efcasado/tesla_middleware_xml/actions/workflows/build.yml)\n[![hex.pm](https://img.shields.io/hexpm/l/tesla_middleware_xml.svg)](https://hex.pm/packages/tesla_middleware_xml)\n[![hex.pm](https://img.shields.io/hexpm/v/tesla_middleware_xml.svg)](https://hex.pm/packages/tesla_middleware_xml)\n[![Hexdocs.pm](https://img.shields.io/badge/hex-docs-purple.svg)](https://hexdocs.pm/tesla_middleware_xml/)\n[![github.com](https://img.shields.io/github/last-commit/efcasado/tesla_middleware_xml.svg)](https://github.com/efcasado/tesla_middleware_xml)\n\n[Tesla](https://github.com/elixir-tesla/tesla) middleware for encoding requests\nand decoding responses as XML.\n\nFor more information about Tesla's middleware architecture, please, check\nTesla's [official documentation](https://hexdocs.pm/tesla/readme.html#writing-middleware).\n\nThis project is heavily inspired by Tesla's built-in\n[Tesla.Middleware.JSON](https://hexdocs.pm/tesla/Tesla.Middleware.JSON.html)\nmiddleware and the heavy lifting is done by\n[xml_json](https://github.com/bennyhat/xml_json).","ref":"readme.html"},{"type":"extras","title":"Installation - Tesla XML Middleware","doc":"The package can be installed by adding `tesla_middleware_xml` to your list of\ndependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tesla_middleware_xml, \"~> 2.0.0\"}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Contributing - Tesla XML Middleware","doc":"This project uses [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/)\nand [Semantic Versioning](https://semver.org/). The list of supported commit\ntypes can be found\n[here](https://github.com/insurgent-lab/conventional-changelog-preset?tab=readme-ov-file#commit-types).","ref":"readme.html#contributing"},{"type":"extras","title":"Resources - Tesla XML Middleware","doc":"- [JSON and XML conversion](https://wiki.open311.org/JSON_and_XML_Conversion/)","ref":"readme.html#resources"},{"type":"extras","title":"Acknowledgements - Tesla XML Middleware","doc":"- [Tesla JSON Middleware](https://github.com/elixir-tesla/tesla/blob/52bf0ff600cd452471d3fc518f53436f2e48e60f/lib/tesla/middleware/json.ex)\n- [Saxy](https://github.com/qcam/saxy)\n- [XmlJson](https://github.com/bennyhat/xml_json)","ref":"readme.html#acknowledgements"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}